# Booking Pay Later Book a Pay Later offer for one order Endpoint: POST /order/paylater/v1/{transaction_id} Version: version 1 Security: Bearer Authentication ## Path parameters: - `transaction_id` (string, required) The transaction id of the order for which Pay Later should be booked. (The Ratepay Gateway returns this when an order is created. Example: "12-34567890123456789" ## Header parameters: - `Content-Type` (string, required) Example: "application/json" - `Authorization` (string, required) For each request, a valid access token must be provided in the Authorization header. See Authentication API for obtaining a valid token. ## Request fields (application/json;charset=UTF-8): - `offer_id` (string, required) The offer_id of the Pay Later offer to book as returned by the Pay Later Offers endpoint. Example: "payl-1" ## Response 200 fields (application/json;charset=UTF-8): - `delta_due_date` (integer) The amount of days that the due date of the current order is postponed, i.e. the delta that comes on top of original_due_date (e.g. 14 days). Unit: days. Example: 14 - `fee` (number) The Pay Later fee for the booked Pay Later offer. Example: 1.95 - `currency` (string) The currency of the Pay Later fee, e.g. EUR (ISO 4217 alphabetic currency code, 3 chars). Example: "EUR" - `original_due_date` (string) The original due date before Pay Later had been booked for the current order (ISO 8601, YYYY-MM-DD). Example: "2020-03-14" - `new_due_date` (string) The new due date after booking Pay Later (ISO 8601, YYYY-MM-DD). This is original_due_date + delta_due_date. Example: "2020-03-28" - `booking_timestamp` (string) The timestamp when Pay Later was booked for the current order (ISO 8601, YYYY-MM-DDThh:mm:ss.ffffff+hh:mm). Example: "2020-03-13T16:42:59.974067+01:00" ## Response 400 fields ## Response 404 fields ## Response 405 fields ## Response 406 fields ## Response 409 fields ## Response 413 fields ## Response 415 fields ## Response 500 fields